package com.sky.tvheadend_manager;

import java.util.ArrayList;

public class ChannelConfig {
	String uuid;
	boolean autoname;
	String name;
	//"epggrab":[]
	//"bouquet":""
	boolean enabled;
	int number;
	boolean epgauto;
	int dvr_pre_time;
	int dvr_pst_time;
	int epg_running;
	ArrayList<String> services = new ArrayList<>();
	ArrayList<String> tags= new ArrayList<>();
	String bouquet;
	
	transient String configUUID; 
	// String configUUID; //DEBUG
	
	
	public String toString(){
		StringBuilder strB = new StringBuilder();
		strB.append(configUUID+" - "+uuid+"\n");
		strB.append("services : ");
		for(String str:services){
			strB.append(str);
			strB.append(",");
		}
		strB.append("\n");
		strB.append("tags : ");
		for(String str:tags){
			strB.append(str);
			strB.append(",");
		}
		strB.append("\n");
		return strB.toString();
	}

	public boolean isEnabled() {
		return enabled;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int numb) {
		number = numb;
	}
	public boolean isEpgauto() {
		return epgauto;
	}

	public int getDvr_pre_time() {
		return dvr_pre_time;
	}

	public int getDvr_pst_time() {
		return dvr_pst_time;
	}

	public int getEpg_running() {
		return epg_running;
	}

	public ArrayList<String> getServices() {
		return services;
	}

	public ArrayList<String> getTags() {
		return tags;
	}

	public String getBouquet() {
		return bouquet;
	}

	public String getConfigUUID() {
		return configUUID;
	}
	
	public String getUUID(){
		return uuid;
	}
	public boolean equals(Object obj){
		if(obj instanceof ChannelConfig){
			ChannelConfig obj_ch_config = (ChannelConfig)obj;
			return obj_ch_config.configUUID.equals(configUUID);
		}
		return false;
	}
	
	public ChannelConfig append(ChannelConfig chConfig){
		for(String servUUID:chConfig.services){
			if(!services.contains(servUUID)){
				services.add(servUUID);
			}
		}
		
		for(String tagUUID:chConfig.tags){
			if(!tags.contains(tagUUID)){
				tags.add(tagUUID);
			}
		}
		
		return this;
	}
}
