package com.sky.tvheadend_manager;

import com.google.gson.annotations.SerializedName;

public class Tag {
	boolean enabled;
	public boolean isEnabled() {
		return enabled;
	}
	public int getIndex() {
		return index;
	}
	public String getName() {
		return name;
	}
	public boolean isInternal() {
		return internal;
	}
	public boolean isPrivate_bool() {
		return private_bool;
	}
	public String getIcon() {
		return icon;
	}
	public boolean isTitle_icon() {
		return title_icon;
	}
	public String getComment() {
		return comment;
	}
	public String getTagUUID() {
		return tagUUID;
	}
	int index;
	String name;
	boolean internal;
	@SerializedName("private")
	boolean private_bool;
	String icon;
	boolean title_icon;
	String comment;
	
	transient String tagUUID; 
	//String tagUUID; //DEBUG
	public String toString(){
		return name;
	}
	
	public boolean equals(Object obj){
		if(obj instanceof Tag){
			Tag obj_tag = (Tag)obj;
			if(obj_tag.name.equals(this.name) 
					&& obj_tag.tagUUID.equals(this.tagUUID)){
				return true;
			}
		}
		return false;
	}
}


